Package com.avaya.clientservices.call

## Class CallForwardingInformation

- java.lang.Object
- - com.avaya.clientservices.call.CallForwardingInformation

-     public class CallForwardingInformation
      extends java.lang.Object

  Information related to an incoming call having been forwarded.

  The following provides an example of the History-Info header within incoming SIP request:

  . . .

  History-Info:"Jane"<sip:UserA@ims.example.com?Reason=SIP%3B cause%3D302>;index=1;foo=bar

  . . .

  Where:

  - "Jane" represents the display name of the user who forwarded the call
  - "UserA" - the user call was forwarded by.
  - "cause" - forwarded cause

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CallForwardingInformation()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CallForwardingCause` | `getCause()` | Returns a call forward cause.
    `java.lang.String` | `getForwarderDisplayName()` | Returns a display name of forwarder user.
    `java.lang.String` | `getForwarderUser()` | Returns the user part of forwarder URI.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CallForwardingInformation

          public CallForwardingInformation()

  - ### Method Detail

    - #### getForwarderDisplayName

          public java.lang.String getForwarderDisplayName()

      Returns a display name of forwarder user.
      Returns:
        String value of the call forwarder's display name.

    - #### getCause

          public CallForwardingCause getCause()

      Returns a call forward cause.
      Returns:
        The cause of the forward.

    - #### getForwarderUser

          public java.lang.String getForwarderUser()

      Returns the user part of forwarder URI.
      Returns:
        the user part of forwarder URI.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`